Skip to main content
GET
C#
This endpoint requires the payment-service-definitions.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

payment_service_definition_id
string
required
Example:

"adyen-ideal"

Response

Successful Response

id
string
required

The definition ID of the payment service that can be configured. This is the underlying provider followed by a dash followed by the method.

Required string length: 1 - 50
Examples:

"adyen-ideal"

"stripe-card"

display_name
string
required

A human friendly name for this service.

Required string length: 1 - 200
Examples:

"iDEAL"

"Stripe"

method
string
required

The method of the service

Examples:

"ideal"

"card"

fields
DefinitionField · object[]
required

A list of credentials and related fields which can be configured for this service.

reporting_fields
DefinitionField · object[]
required

A list of reporting fields which can be configured for this service.

supported_currencies
string[]
required

A list of three-letter ISO currency codes that this service supports.

Pattern: ^[A-Z]{3}$
Example:
supported_countries
string[]
required

A list of two-letter ISO country codes that this service supports.

Pattern: ^[A-Z]{2}$
Examples:

"US"

"GB"

"DE"

"AUD"

mode
string
required

The mode that defines the flow this payment service uses to process a payment.

Examples:

"card"

"redirect"

supported_features
Supported Features · object
required

Features supported by the payment service.

required_checkout_fields
RequiredCheckoutFields · object[]
required

A list of condition that define when some fields must be provided with a transaction request.

configuration
PaymentServiceConfiguration · object
required

Additional configuration on how to present the approval UI.

supported_integration_clients
string[] | null
required

List of supported integration clients. Defaults to redirect for most redirect connectors.

Example:
type
string
default:payment-service-definition

Always payment-service-definition.

Allowed value: "payment-service-definition"
Example:

"payment-service-definition"

icon_url
string | null

An icon to display for the payment service.

Example:

"https://example.com/icons/adyen-ideal.svg"